Security update for xorg-x11-libs

SUSE Security Update: Security update for xorg-x11-libs
Announcement ID: SUSE-SU-2018:2791-1
Rating: moderate
References: #1103511
Cross-References: CVE-2015-9262
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 11-SP4
  • SUSE Linux Enterprise Server 11-SP4
  • SUSE Linux Enterprise Debuginfo 11-SP4

An update that fixes one vulnerability is now available.

Description:

This update for xorg-x11-libs fixes the following security issue:

  • CVE-2015-9262: _XcursorThemeInherits allowed remote attackers to cause denial of service or potentially code execution via a one-byte heap overflow (bsc#1103511)

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Software Development Kit 11-SP4:
    zypper in -t patch sdksp4-xorg-x11-libs-13782=1
  • SUSE Linux Enterprise Server 11-SP4:
    zypper in -t patch slessp4-xorg-x11-libs-13782=1
  • SUSE Linux Enterprise Debuginfo 11-SP4:
    zypper in -t patch dbgsp4-xorg-x11-libs-13782=1

Package List:

  • SUSE Linux Enterprise Software Development Kit 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • xorg-x11-devel-7.4-8.26.50.8.1
  • SUSE Linux Enterprise Software Development Kit 11-SP4 (ppc64 s390x x86_64):
    • xorg-x11-devel-32bit-7.4-8.26.50.8.1
  • SUSE Linux Enterprise Server 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • xorg-x11-libs-7.4-8.26.50.8.1
  • SUSE Linux Enterprise Server 11-SP4 (ppc64 s390x x86_64):
    • xorg-x11-libs-32bit-7.4-8.26.50.8.1
  • SUSE Linux Enterprise Server 11-SP4 (ia64):
    • xorg-x11-libs-x86-7.4-8.26.50.8.1
  • SUSE Linux Enterprise Debuginfo 11-SP4 (i586 ia64 ppc64 s390x x86_64):
    • xorg-x11-libs-debuginfo-7.4-8.26.50.8.1
    • xorg-x11-libs-debugsource-7.4-8.26.50.8.1

References: